%define 	__mkfontdir	umask 133;/usr/X11R6/bin/mkfontdir

Name:		jisksp14
Version:	0.1
Release: 16
License:	Public Domain
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gzip xorg-x11-font-utils

#Source: http://cclub.tutcc.tut.ac.jp:1080/netbsd/japanese/fonts/%{name}.bdf.gz
Source: %{name}.bdf.gz

Summary:	14 dots jis auxiliary kanji font
Group:		User Interface/X
Prereq:		/usr/X11R6/bin/mkfontdir

%description
14 dots jis auxiliary kanji

%prep
rm -rf $RPM_BUILD_DIR/%{name}
mkdir $RPM_BUILD_DIR/%{name}
cd $RPM_BUILD_DIR/%{name}
gunzip -c ${RPM_SOURCE_DIR}/%{name}.bdf.gz > %{name}.bdf

%build
cd $RPM_BUILD_DIR/%{name}

bdftopcf %{name}.bdf >%{name}.pcf
gzip -9 %{name}.pcf

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

cd $RPM_BUILD_DIR/%{name}

FONTSDIR=$RPM_BUILD_ROOT%{_datadir}/fonts/ja/misc/
mkdir -p ${FONTSDIR}
install -c -m 0444 %{name}.pcf.gz ${FONTSDIR}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
  %__mkfontdir %{_datadir}/fonts/ja/misc
} &> /dev/null || :

%postun
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_datadir}/fonts/ja/misc
  fi
} &> /dev/null || :

%files
%defattr(-, root, root)
%{_datadir}/fonts/ja/misc/%{name}.pcf.gz

%changelog
* Sat Oct  9 2004 Akira TAGOH <tagoh@redhat.com> - 0.1-16
- added BuildRequires xorg-x11-font-utils. (#135064)

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 0.1-15
- rebuilt

* Mon Apr 05 2004 Akira TAGOH <tagoh@redhat.com> 0.1-14
- moved the directory to /usr/share/fonts/ja/misc

* Wed Mar 17 2004 Akira TAGOH <tagoh@redhat.com> 0.1-13
- removed the requirement of XFree86-xfs. (#118475)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.1-10
- rebuild

* Tue Jul 23 2002 Akira TAGOH <tagoh@redhat.com> 0.1-9
- removed -q and -c from %%preq

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr  9 2002 Akira TAGOH <tagoh@redhat.com> 0.1-7
- s/Copyright/License/
- clean up.

* Tue Jan 23 2001 SATO Satoru <msw@redhat.com>
- replaced /usr/X11R6/bin/mkfontdir with XFree86-xfs
- add BuildRequires: gzip
- remove Japanese descriptions
- clean up SPEC

* Sun Jan 21 2001 Matt Wilson <msw@redhat.com>
- add Prereq: /usr/X11R6/bin/mkfontdir

* Fri Sep   1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt with rpm-4.0

* Thu Mar  21 2000 Chris Ding <cding@redhat.com>
- changed group to User Interface/X

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386

* Tue Nov 04 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
